
Figure - Bug #115317
测试 Test-IT # 110867 (New): V1.0测试功能汇总

测试 Test-IT # 110895 (New): AF-V1.0功能测试-桌面

【AF】【EVT】【图库】导入gif图片，不会动态显示
2023-01-14 16:23 - CD TEST-方永红

Status: CLOSED Start date: 2023-01-14

Priority: Normal Due date: 2023-01-29

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0068.X101

Resolution: WONTFIX Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、设备已开机

【测试步骤】

1.adb push gif图片

2.在图库中打开

【预期结果】

2、显示动图

【实际结果】

2、静态显示

History

#1 - 2023-01-28 13:43 - CD APP-王营

- Due date set to 2023-01-29

#2 - 2023-01-29 10:15 - CD APP-王营

- Status changed from New to ASSIGNED

#3 - 2023-01-29 18:39 - CD APP-王营

- Status changed from ASSIGNED to NEED_INFO

- Assignee changed from CD APP-王营 to CD TEST-方永红

- % Done changed from 0 to 10

■ Current conclusion

原生相册应用Gallery2 不支持gif动图显示

■ My analysis

经过分析源码，原生相册应用Gallery2展示图片使用了自定义view   PhotoView 此控件不支持gif动图显示，该控件只能预览单张jpg、png等静态图片，支持

图片的双击放大功能。

■ Next action

请测试同学确认一下需求，当前系统相册不支持gif显示。
#4 - 2023-01-31 15:08 - CD TEST-方永红

- Status changed from NEED_INFO to RESOLVED

- Resolution changed from -- to WONTFIX

1.31

原生问题，不用解决

#5 - 2023-01-31 15:08 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- % Done changed from 10 to 100

#6 - 2023-01-31 15:08 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
